Skip to main content
Create Account API Key
curl --request POST \
  --url https://synthesis.trade/api/v1/project/account/{account_id}/api-key \
  --header 'Content-Type: application/json' \
  --header 'X-PROJECT-API-KEY: <api-key>' \
  --data '
{
  "name": "trading-bot"
}
'
{
  "success": true,
  "response": {
    "public_key": "pk_...",
    "secret_key": "sk_...",
    "name": "trading-bot",
    "active": true,
    "created_at": "2026-01-01T00:00:00",
    "updated_at": "2026-01-01T00:00:00"
  }
}

Authorizations

X-PROJECT-API-KEY
string
header
required

Project secret API key.

Path Parameters

account_id
string
required

Body

application/json
name
string

Optional key name. Must be at most 64 characters and use only letters, numbers, -, or _.

Example:

"trading-bot"

Response

201 - application/json

Account API key created